@bot123123
bot

Как запустить старую программу на Python2?

Всем привет. Решил развернуть тестовый стенд, на котором хочу обойти HSTS с помощью:
https://github.com/LeonardoNve/dns2proxy
По инструкции необходимо запустить install.sh
Его содержимое:

# Update and Install Dependencies
apt update -y
apt install -y python2.7 virtualenv libpcap-dev

# Create virtualenv for script
virtualenv -p python2.7 venv
source venv/bin/activate

# Install PyPi dependencies
pip install dnspython pcapy


pip install dnspython pcapy - после запуска этой команды

Requirement already satisfied: dnspython in /usr/local/lib/python3.8/dist-packages (2.1.0)
Requirement already satisfied: pcapy in /usr/local/lib/python3.8/dist-packages (0.11.4)

Как мне скачать эти пакеты, чтобы у меня заработала программа ?
  • Вопрос задан
  • 67 просмотров
Пригласить эксперта
Ответы на вопрос 1
@DTPlayer
Первый модуль поддерживает только python3.6 и выше
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
27 сент. 2021, в 10:58
10000 руб./за проект
27 сент. 2021, в 10:41
25000 руб./за проект